Package org.apache.sling.scripting.sightly.testing.models

## Enum TestEnum

- java.lang.Object
- - java.lang.Enum<TestEnum>
  - - org.apache.sling.scripting.sightly.testing.models.TestEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<TestEnum>`

    public enum TestEnum
    extends Enum<TestEnum>

For testing SLING-10677

### Enum Constant Summary

Enum Constants
`ENUM_CONSTANT`
`ENUM_CONSTANT2`

### Field Summary

Fields
`static String` `STATIC_FIELD1`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `something()`
`static TestEnum` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TestEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ENUM_CONSTANT

    public static final TestEnum ENUM_CONSTANT

#### ENUM_CONSTANT2

    public static final TestEnum ENUM_CONSTANT2

### Field Detail

#### STATIC_FIELD1

    public static final String STATIC_FIELD1

See Also:
  Constant Field Values

### Method Detail

#### values

    public static TestEnum[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TestEnum c : TestEnum.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TestEnum valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### something

    public static String something()